FIXPS(1)

NAME
fixps - sanitize PostScript files

SYNOPSIS
fixps [OPTIONS] FILE

DESCRIPTION

Try to fix common PostScript problems that break postprocessing.

OPTIONS

-h, --help
    display this help and exit

-v, --version
    display version information and exit

-q, --quiet
    don't print informational messages

-o, --output=FILE
    save result in FILE. If FILE is `-', send to stdout

-f, --force
    force full rewrite by ghostscript

-n, --no-fix
    don't fix the FILE, but still honor `-o'

-c, --check, --dry-run
    don't perform any action

  Fixes:

    - Remove junk before and after PostScript content - Use only Unix end of lines (\n) - Remove empty lines - Fix Apple prologue (fixmacps) - Fix FrameMaker prologue (fixfmps) - Fix CorelDraw prologue (fixnt) - Fix Windows NT 3.5/4.0 prologue (fixnt) - Fix Windows 95 prologue - Ensure there is a `%%BeginSetup/%%EndSetup' section - Removes Canvas' extraneaous `%%EndDocument:' comments - Split too long lines

If the FILE seems really in a bad state, ghostscript may be used to perform a full rewrite. The output might then be significantly bigger, but much safer.

AUTHOR
Written by Akim Demaille.

REPORTING BUGS
Report bugs to <bug-a2ps@gnu.org>

COPYRIGHT
Copyright © 1998-2000 Akim Demaille, Miguel Santana
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
a2ps(1), card(1), fixps(1), pdiff(1), psset(1), texi2dvi4a2ps(1).

The full documentation for fixps is maintained as a Texinfo manual. If the info and fixps programs are properly installed at your site, the command

    info fixps

should give you access to the complete manual.